# Uses of Enum Class
net.shibboleth.idp.installer.plugin.impl.PluginInstallerArguments.OperationType

Packages that use PluginInstallerArguments.OperationType
Package
Description
net.shibboleth.idp.installer.plugin.impl
Classes for handling plugins.

## Uses of PluginInstallerArguments.OperationType in net.shibboleth.idp.installer.plugin.impl

Fields in net.shibboleth.idp.installer.plugin.impl declared as PluginInstallerArguments.OperationType
Modifier and Type
Field
Description
`private PluginInstallerArguments.OperationType`
PluginInstallerArguments.`operation`
What to do.
Methods in net.shibboleth.idp.installer.plugin.impl that return PluginInstallerArguments.OperationType
Modifier and Type
Method
Description
`private PluginInstallerArguments.OperationType`
PluginInstallerArguments.`decodeInput()`
Given an input string, work out what the parts are.
`PluginInstallerArguments.OperationType`
PluginInstallerArguments.`getOperation()`
Get operation to perform.
`static PluginInstallerArguments.OperationType`
PluginInstallerArguments.OperationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginInstallerArguments.OperationType[]`
PluginInstallerArguments.OperationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.